# Visualization
TKService
SelectBasics

# SelectBasics_ListIteratorOfListOfSensitive Class Reference

`#include <SelectBasics_ListIteratorOfListOfSensitive.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | SelectBasics_ListIteratorOfListOfSensitive ()
Standard_EXPORT | SelectBasics_ListIteratorOfListOfSensitive (const SelectBasics_ListOfSensitive &L)
Standard_EXPORT void | Initialize (const SelectBasics_ListOfSensitive &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_SelectBasics_SensitiveEntity & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT SelectBasics_ListIteratorOfListOfSensitive::SelectBasics_ListIteratorOfListOfSensitive | ( |  | ) |

Standard_EXPORT SelectBasics_ListIteratorOfListOfSensitive::SelectBasics_ListIteratorOfListOfSensitive | ( | const SelectBasics_ListOfSensitive & | L | ) |

## Member Function Documentation

Standard_EXPORT void SelectBasics_ListIteratorOfListOfSensitive::Initialize | ( | const SelectBasics_ListOfSensitive & | L | ) |

Standard_Boolean SelectBasics_ListIteratorOfListOfSensitive::More | ( |  | ) | const

Standard_EXPORT void SelectBasics_ListIteratorOfListOfSensitive::Next | ( |  | ) |

void SelectBasics_ListIteratorOfListOfSensitive::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SelectBasics_ListIteratorOfListOfSensitive::operator new | ( | size_t | size | ) | `[inline]`

void* SelectBasics_ListIteratorOfListOfSensitive::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_SelectBasics_SensitiveEntity& SelectBasics_ListIteratorOfListOfSensitive::Value | ( |  | ) | const

## Field Documentation

Standard_Address SelectBasics_ListIteratorOfListOfSensitive::current `[private]`

Standard_Address SelectBasics_ListIteratorOfListOfSensitive::previous `[private]`

The documentation for this class was generated from the following file:

- SelectBasics_ListIteratorOfListOfSensitive.hxx